%define debug_package %{nil}
%define binrelease 7

Name:           pvr-bin-mdfld
Version:        1.7.17.296760.%{binrelease}
Release:        1
License:        Intel Free Distribution Binary License
Summary:        Binary graphics driver and libraries from PowerVR
Group:          Development/Libraries
Source0:        %{name}-%{version}.tar.bz2
Source10:       license.txt
Source100:      pvr-bin-mdfld-rpmlintrc
Requires:       libwsbm
Requires:       pciutils
Provides:       libEGL.so.1
Provides:       libGLESv2.so.1
ExclusiveArch: %{ix86} x86_64
AutoReqProv: no
Provides:       libEGL.so
Provides:       libGLESv1_CM.so
Provides:       libGLESv2.so

%description
PowerVR graphics driver and runtime library.

%package tests
Summary:        Unit tests for pvr driver
Group:          Development/Libraries
Requires:       %{name} = %{version}
AutoReqProv: no

%description tests
Unit tests for pvr-video libraries.

%package devel
Summary:        Development package for pvr driver
Group:          Development/Libraries
Requires:       %{name} = %{version}
Conflicts:  mesa-libEGL-devel mesa-libGLESv1-devel mesa-libGLESv2-devel mesa-libOpenVG-devel

%description devel
pvr-bin development package

%prep
%setup -q -n  %{name}-%{version}

# HACK: need to move (linker) .so links from devel to the main package because
#       sonames are wrong in the libraries
find devel/usr/lib/ -name '*.so' | xargs -I {} mv {} main/usr/lib/

%build

%install
install -d %{buildroot}
cp -arv  main/* %{buildroot}/
cp -arv  tests/* %{buildroot}/
cp -arv  devel/* %{buildroot}/

# create lists of files
find main -type f -o -type l | \
    sed s'![^/]*!!' > files.list
# add config macro in front of config files
sed -i s'!^\(/etc*\)!%config \1!' files.list
sed -i s'!^\(/opt/etc*\)!%config \1!' files.list

find tests -type f -o -type l | \
    sed s'![^/]*!!' > files-tests.list

find devel -type f -o -type l | \
    sed s'![^/]*!!' > files-devel.list


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f files.list

%files tests -f files-tests.list

%files devel -f files-devel.list


